{***************************************************************************}
{ TMS IntraWeb Component Pack Pro                                           }
{ for Delphi & C++Builder                                                   }
{                                                                           }
{ written by TMS Software                                                   }
{            copyright © 2002 - 2008                                        }
{            Email : info@tmssoftware.com                                   }
{            Web : http://www.tmssoftware.com                               }
{                                                                           }
{ The source code is given as is. The author is not responsible             }
{ for any possible damage done due to the use of this code.                 }
{ The component can be freely used in any application. The complete         }
{ source code remains property of the author and may not be distributed,    }
{ published, given or sold in any form as such. No parts of the source      }
{ code can be included in any other component or application without        }
{ written authorization of the author.                                      }
{***************************************************************************}

unit IWTMSCtrlsReg;

{$I TMSDEFS.INC}

interface

uses
  Classes, IWTMSCtrls, IWTMSMenus, IWTMSCal,
  IWScrollPanel, IWTickerPanel, IWTMSCC, IWTMSLinks,
  IWOutlookBar, IWTMSButton, IWTMSEdit, IWTMSPopup, IWTMSColorPicker,
  IWTMSCheckList, IWHTMLEdit, IWTMSPlan, IWColorComboBox, IWHelpTip,
  IWMultiColumnComboBox, IWTMSCalculatingLabel, IWTMSTextAreaLimiter, IWAdvToolButton,
  IWSideNavBar, IWExchangeBar, IWGradient, IWAutoFormFill, IWAdvRadioGroup,
  IWAdvCheckGroup
  {$IFDEF TMSIW6}
  , IWAdvSelector
  {$ENDIF}
  {$IFNDEF LINUX}
  , IWTMSImgCtrls, IWTMSImg, IWHotSpotImage
  {$ENDIF}
  ;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('TMS IW',[TTIWHTMLLabel,TTIWDateLabel,TTIWClock]);

  RegisterComponents('TMS IW',[TTIWRadioButton]);

  RegisterComponents('TMS IW',[TTIWAdvEdit,TTIWAdvLUEdit,TTIWDateSelector,TTIWEmailEdit]);

  RegisterComponents('TMS IW',[TTIWAdvSpinEdit, TTIWAdvTimeEdit, TTIWAdvDateEdit]);

  RegisterComponents('TMS IW',[TTIWCheckList, TTIWCheckListBox]);

  RegisterComponents('TMS IW',[TTIWHTMLCheckBox,TTIWHTMLList,TTIWHTMLRadioGroup]);

  RegisterComponents('TMS IW',[TTIWFilePicker]);
  RegisterComponents('TMS IW',[TTIWStaticMenu,TTIWMainMenu,TTIWSideMenu]);

  RegisterComponents('TMS IW',[TTIWPopupMenuButton]);
  RegisterComponents('TMS IW',[TTIWPopupMenuLabel]);
  RegisterComponents('TMS IW',[TTIWDocumentPopupMenu]);

  RegisterComponents('TMS IW',[TTIWCalendar,TTIWDatePicker]);

  RegisterComponents('TMS IW',[TTIWCCNumEdit, TTIWCCExpEdit]);

  RegisterComponents('TMS IW',[TTIWListLink,TTIWComboListLink,TTIWEditListLink]);

  RegisterComponents('TMS IW', [TTIWHTMLEdit]);

  RegisterComponents('TMS IW',[TTIWMonthPlanner]);

  RegisterComponents('TMS IW',[TTIWScrollBarColors, TTIWScrollBarPersistence]);

  RegisterComponents('TMS IW',[TTIWColorComboBox]);

  RegisterComponents('TMS IW',[TTIWMultiColumnComboBox]);

  RegisterComponents('TMS IW',[TTIWHelpTip]);

  RegisterComponents('TMS IW',[TTIWCalculatingLabel]);

  RegisterComponents('TMS IW',[TTIWTextAreaLimiter]);

  RegisterComponents('TMS IW',[TTIWAdvToolButton]);

  {$IFNDEF LINUX}
  RegisterComponents('TMS IW',[TTIWAdvImage]);
  RegisterComponents('TMS IW',[TTIWFadeImage]);
  RegisterComponents('TMS IW',[TTIWHotSpotImage]);
  RegisterComponents('TMS IW',[TTIWPaintBox]);
  {$ENDIF}

  RegisterComponents('TMS IW',[TTIWCountryComboBox]);
  RegisterComponents('TMS IW', [TTIWStateComboBox]);

  RegisterComponents('TMS IW',[TTIWPersistentEdit]);

  RegisterComponents('TMS IW',[TTIWScrollPanel]);
  RegisterComponents('TMS IW',[TTIWTickerPanel]);
  RegisterComponents('TMS IW',[TTIWSmartPanel]);

  RegisterComponents('TMS IW',[TTIWOutlookBar]);

  RegisterComponents('TMS IW',[TTIWAdvImageButton]);

  RegisterComponents('TMS IW', [TTIWColorPicker]);
  RegisterComponents('TMS IW', [TTIWGradientLabel]);
  RegisterComponents('TMS IW', [TTIWNoSpamEmailLabel]);
  RegisterComponents('TMS IW', [TTIWClientWatch]);

  RegisterComponents('TMS IW', [TTIWClientCode, TTIWClientDebugOut]);

  RegisterComponents('TMS IW',[TTIWSideNavBar]);  
  RegisterComponents('TMS IW',[TTIWExchangeBar]);

  RegisterComponents('TMS IW',[TTIWGradient]);

  {$IFDEF TMSIW6}
  RegisterComponents('TMS IW',[TTIWAdvSelector]);
  {$ENDIF}    

  RegisterComponents('TMS IW',[TTIWAutoFormFill]);

  {$IFDEF TMSIW9}
  RegisterComponents('TMS IW',[TTIWAdvRadioGroup]);
  RegisterComponents('TMS IW',[TTIWAdvCheckGroup]);
  {$ENDIF}
end;

end.

